# Just the example_1 with duplicated data records to mimc a second compound
# Dual PK model with each a dose and an observation.
rm(list=ls())
library(IQRtools)
IQRinitCompliance("example_X.R")

model <- IQRmodel("example_X_model.txt")

data <- data_IQRest(
  datafile = "example_X_data.csv",
  covNames = c("WT0"), 
  catNames = c("SEX"), 
  regressorNames = NULL
)

# Two inputs
dosing <- dosing_IQRest(
  INPUT1 = c(type="BOLUS"),
  INPUT2 = c(type="BOLUS")
)

modelSpec <- modelSpec_IQRest(
  POPvalues0      = c(ka=1,   CL=1,   Vc=10, ka2=1,   CL2=1,   Vc2=10),
  
  # Two outputs
  errorModel = list(
    OUTPUT1 = c("abs",0.3),
    OUTPUT2 = c("absrel",0.3,1)
  )
)

est <- IQRnlmeEst(model,dosing,data,modelSpec)

IQRnlmeProject(
  est,
  projectPath = "MODELX",
  tool = "NONMEM"
)

run_IQRnlmeProject("MODELX")
